CVE-2005-4832
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:57
NMCO    

[原文]SQL injection vulnerability in the Oracle Database Server 10g allows remote authenticated users to execute arbitrary SQL commands with elevated privileges via the SUBSCRIPTION_NAME parameter in the (1) SYS.DBMS_CDC_SUBSCRIBE and (2) SYS.DBMS_CDC_ISUBSCRIBE packages, a different vector than CVE-2005-1197.


[CNNVD]Oracle DBMS_CDC_SUBSCRIBE和DBMS_CDC_ISUBSCRIBE软件包多个SQL注入漏洞(CNNVD-200512-891)

        Oracle Database是一款商业性质大型数据库系统。
        SYS.DBMS_CDC_SUBSCRIBE和SYS.DBMS_CDC_ISUBSCRIBE软件包各种过程中所使用的SUBSCRIPTION_NAME参数存在SQL注入漏洞。拥有创建或修改函数权限的用户可以向有漏洞的过程注入用户定义的函数,这样就可以以DBA权限执行SQL语句。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:oracle:oracle10g:standard_10.1.0.5
cpe:/a:oracle:oracle10g:personal_9.0.4_.0
cpe:/a:oracle:oracle10g:enterprise_10.2.3
cpe:/a:oracle:oracle10g:enterprise_9.0.4.0
cpe:/a:oracle:oracle10g:enterprise_10.1.0.3
cpe:/a:oracle:oracle10g:personal_10.1_.0.2
cpe:/a:oracle:oracle10g:personal_10.1.0.2
cpe:/a:oracle:oracle10g:standard_10.1.0.2
cpe:/a:oracle:oracle10g:standard_9.0.4_.0
cpe:/a:oracle:oracle10g:standard_10.1.0.4
cpe:/a:oracle:oracle10g:personal_10.10.3.1
cpe:/a:oracle:oracle10g:standard_10.2.0.1
cpe:/a:oracle:oracle10g:personal_10.1.0.4
cpe:/a:oracle:oracle10g:personal_10.1.0.3.1
cpe:/a:oracle:oracle10g:standard_10.1.0.3
cpe:/a:oracle:oracle10g:personal_10.1.0.3
cpe:/a:oracle:oracle10g:personal_10.2.3
cpe:/a:oracle:oracle10g:standard_10.1.0.3.1
cpe:/a:oracle:oracle10g:standard_10.2.3
cpe:/a:oracle:oracle10g:enterprise_9.0.4_.0
cpe:/a:oracle:oracle10g:enterprise_10.1.0.4
cpe:/a:oracle:oracle10g:personal_9.0.4.0
cpe:/a:oracle:oracle10g:standard_9.0.4.0
cpe:/a:oracle:oracle10g:standard_10.1.0.4.2
cpe:/a:oracle:oracle10g:standard_10.1_.0.2
cpe:/a:oracle:oracle10g:enterprise_10.1.0.3.1
cpe:/a:oracle:oracle10g:enterprise_10.1.0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4832
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4832
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-891
(官方数据源) CNNVD

- 其它链接及资源

http://www.oracle.com/technology/deploy/security/pdf/cpuapr2005.pdf
(VENDOR_ADVISORY)  CONFIRM  http://www.oracle.com/technology/deploy/security/pdf/cpuapr2005.pdf
http://xforce.iss.net/xforce/xfdb/20159
(UNKNOWN)  XF  oracle-subscriptionname-sql-injection(20159)
http://www.securityfocus.com/bid/13236
(UNKNOWN)  BID  13236
http://www.securityfocus.com/archive/1/404970
(VENDOR_ADVISORY)  BUGTRAQ  20050711 Re: Problems with the Oracle Critical Patch Update for April 2005
http://www.securityfocus.com/archive/1/396133
(VENDOR_ADVISORY)  BUGTRAQ  20050418 [AppSecInc Team SHATTER Security Advisory] Multiple SQL Injection vulnerabilities in DBMS_CDC_SUBSCRIBE and DBMS_CDC_ISUBSCRIBE packages
http://www.argeniss.com/research/OraDBMS_CDC_SUBSCRIBEWorkaround.sql
(VENDOR_ADVISORY)  MISC  http://www.argeniss.com/research/OraDBMS_CDC_SUBSCRIBEWorkaround.sql
http://www.argeniss.com/research/OraDBMS_CDC_SUBSCRIBEExploit.txt
(VENDOR_ADVISORY)  MISC  http://www.argeniss.com/research/OraDBMS_CDC_SUBSCRIBEExploit.txt
http://www.appsecinc.com/resources/alerts/oracle/2005-02.html
(VENDOR_ADVISORY)  MISC  http://www.appsecinc.com/resources/alerts/oracle/2005-02.html

- 漏洞信息

Oracle DBMS_CDC_SUBSCRIBE和DBMS_CDC_ISUBSCRIBE软件包多个SQL注入漏洞
高危 SQL注入
2005-12-31 00:00:00 2007-03-08 00:00:00
远程  
        Oracle Database是一款商业性质大型数据库系统。
        SYS.DBMS_CDC_SUBSCRIBE和SYS.DBMS_CDC_ISUBSCRIBE软件包各种过程中所使用的SUBSCRIPTION_NAME参数存在SQL注入漏洞。拥有创建或修改函数权限的用户可以向有漏洞的过程注入用户定义的函数,这样就可以以DBA权限执行SQL语句。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://metalink.oracle.com/

- 漏洞信息

15553
Oracle Database Server Change Data Capture Component DBMS_CDC_SUBSCRIBE SUBSCRIPTION_NAME Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

Oracle Database Server contains a flaw that may allow a remote attacker to inject arbitrary SQL queries. The issue is due to the 'SUBSCRIPTION_NAME' parameter in the 'DBMS_CDC_SUBSCRIBE' package not being properly sanitized and may allow a remote attacker to inject or manipulate SQL queries.

- 时间线

2005-04-18 Unknow
2005-04-21 Unknow

- 解决方案

Oracle has released a patch which attempted to patch this vulnerability. Subsequent testing has revealed that the actual source of the problem lies within the underlying java class files. The April patch fails to properly load the newer patched classes which means that these problems can still be exploited on some versions. Oracle 10g systems with patchset 2 and the April patch have been tested and appear to mitigate the issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站